//@flow
/**
 * @author Sven Koelpin
 */
import React, { PureComponent } from 'react';
import style from './header.css';
import { observer } from 'mobx-react';
import ChatStore from '../chat/ChatStore';


class Header extends PureComponent<void, {}, void> {

    render() {
        const {hasUnreadChats, unreadChats} = ChatStore;
        return (
            <header className={style.header}>
                <h1>Sven's book</h1>
                <div className={style.lang}>
                    <select defaultValue='en'>
                        <option>en</option>
                        <option>de</option>
                    </select>
                </div>
                {<div className={`${style.messages} ${hasUnreadChats ? style.unread : ''}`}>{hasUnreadChats && unreadChats}</div>}
            </header>
        );
    }
}

export default observer(Header);
