//@flow
/**
 * @author Sven Koelpin
 */

import React, { PureComponent } from 'react';
import type { Chat } from '../domain/Entities';
import { ChatWindow } from './ChatWindow';

type Props = {
    chats: Array<Chat>;
    onMarkChatAsRead: (chat: Chat) => void;
}

export default class ChatArea extends PureComponent<void, Props, void> {
    props: Props;


    render() {
        const {chats, onMarkChatAsRead} = this.props;
        return (
            <div className='chatArea'>
                {chats.map(chat => <ChatWindow key={chat.id} chat={chat} markAsRead={onMarkChatAsRead}/>)}
            </div>
        );
    }
}

