//@flow
/**
 * @author Sven Koelpin
 */

import type { User } from '../domain/Entities';
import type { UserActionTypes } from './UserActions';
import { USERS_FETCH, USER_CHANGED } from './UserActions';


export type UserReducerState = {
    [user_id: number]: User
};

const INIT_STATE: UserReducerState = {};


export default (state: UserReducerState = INIT_STATE, action: UserActionTypes = ({}: any)): UserReducerState => {
    switch (action.type) {
        case USERS_FETCH:
            return Object.assign({}, state, action.payload);
        case USER_CHANGED:
            return Object.assign({}, state, {[action.payload.id]: action.payload});
        default:
            return state;
    }
};





