//@flow
/**
 * @author Sven Koelpin
 */


import React, { PureComponent } from 'react';
import type { User } from '../domain/Entities';
import * as Server from '../api/Server';

type Props = {|
    match: {
        params: {
            id: number;
        }
    };
|}

type State = {
    user: ?User;
}

export class UserView extends PureComponent<void, Props, State> {
    props: Props;
    state: State;


    constructor() {
        super();
        this.state = {
            user: null
        };
    }


    componentDidMount() {
        this.fetchUser();
    }
    
    async fetchUser() {
        const {id} = this.props.match.params;
        const user = await Server.get('users/' + id);
        this.setState({user: (user: any)});
    }


    render() {
        const {user} = this.state;
        return (
            <div>
                {!user && <div>loading...</div>}
                {
                    user && (
                        <fieldset>
                            <legend>{user.name}</legend>
                            <div>
                                Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna
                                aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea
                                takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod
                                tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea
                                rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.
                            </div>
                        </fieldset>
                    )
                }
            </div>
        );
    }

}